using SecuritySystemContracts.BindingModels;
using SecuritySystemContracts.SearchModels;
using SecuritySystemContracts.ViewModels;

namespace SecuritySystemContracts.BusinessLogicsContracts
{
    public interface IImplementerLogic
    {
        List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);
        ImplementerViewModel? ReadElement(ImplementerSearchModel model);
        bool Create(ImplementerBindingModel model);
        bool Update(ImplementerBindingModel model);
        bool Delete(ImplementerBindingModel model);
    }
}
